/*!  \file globalMPI.h
 *   \brief  This is a repository for global MPI variables and constants.
 *
 *   \author Julian Pittard (Original version 31.05.11)
 *   \version 0.1-development (Undómiel):
 *   \date Last modified: 13.09.11 (JMP)
 */

#include <mpi.h>

// Variables
#ifdef MAIN
MPI_Datatype MPI_SUBQ;      ///< MPI derived datatype for doubles in a "cell"
MPI_Datatype MPI_SUBI;      ///< MPI derived datatype for passing data to processors in direction i
MPI_Datatype MPI_SUBJ;      ///< MPI derived datatype for passing data to processors in direction j
MPI_Datatype MPI_SUBK;      ///< MPI derived datatype for passing data to processors in direction k
#else
extern MPI_Datatype MPI_SUBQ,MPI_SUBI,MPI_SUBJ,MPI_SUBK; 
#endif
