/*!  \file physconst.h
 *   \brief This is a repository for physical constants. Note these are case sensitive!
 *
 *   \author Julian Pittard (Original version 12.06.11)
 *   \version 0.1-development (Undómiel):
 *   \date Last modified: 08.12.11 (JMP)
 */

const double G = 6.67259e-8;
const double cspeed = 3.0e10;
const double boltzman = 1.380658e-16;
const double massh = 1.67e-24;
const double msol = 1.9891e33;
const double rsol = 6.96e10;
const double lsol = 3.8268e33;
const double pc = 3.085678e18;
const double yr = 3.15569e7;
const double pi = 3.1415927;
const double stefb = 5.67051e-5;
